linux上运行出错libstdc++.so.6 version CXXABI_1.3.8找不到怎么办

ImportError /lib64/libstdc++.so.6 version `CXXABI_1.3.8’ not found的解决办法

在Centos7上跑python程序,发现报错找不到CXXABI_1.3.8,查找一通,发现原来是GCC的编译版本太低了,但是网上一堆都是要么自己重新源码编译gcc,要么CSDN付费下载,很是伤心!

这里就免费下载好了,编译好的送给大家,用的好别忘了点个赞哈!

先查看下自己系统里面的最高版的CXXABI:

strings /usr/lib64/libstdc++.so.6 | grep CXXABI

如下所示,我这里最高版本是CXXABI_1.3.7

在这里插入图片描述

然后通过下载链接下载libstdc++.so.6.0.26,下载链接在文章后面给出

将文件移动到系统目录/usr/lib64/下面,如下所示,输入命令可以看到相关的链接文件

 ll libstdc++.so*

在这里插入图片描述

不过这里注意,现在的libstdc++.so.6.0.26是白色的,需要让它变成可链接文件,这里必须让文件有可执行权限才能被链接,输入下面命令

chmod +x libstdc++.so.6.0.26

在这里插入图片描述

最后一步就是产生软连接了,不过这里有个重名的libstdc++.so.6的软链接文件,你可以将其删除,或者重命名,这里保险起见最好重命名

mv libstdc++.so.6 libstdc++.so.6.bak

然后软链接

ln -s libstdc++.so.6.0.26 libstdc++.so.6

下图所示可以看到有两个软链接文件

在这里插入图片描述

最后测试看下是否成功吧

strings /usr/lib64/libstdc++.so.6 | grep CXXABI

在这里插入图片描述

大功告成!!!

文件下载放在了公号里面–小拉达百宝箱,回复关键字libstdc++(最好复制哦)获取,不想重新编译的就不要怕麻烦啦!!!

You may also like...

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注